{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "\r\ndeclare function msg, send_event, admin_user, center_window\r\n$insert msg_equates\r\n$insert listbox_config_equ\r\n$insert quote_sigs_equ\r\n\r\nif index( CreateParam, 'CENTER', 1 ) then\r\n    void = center_window( @window )\r\nend else\r\n    Void = set_property( @window, 'VISIBLE', 1 )\r\nend\r\n\r\nif admin_user( @user4 ) then\r\n   * OK THEY ARE AN ADMINISTRATOR, SO ALSO SHOW THE MANUF_CHECK BOX\r\n   .MANUF_CHECK->VISIBLE = 1\r\nend else\r\n    ProdMgr = xlate( 'CONFIG', 'QUOTE_SIGS', ProdMgr$, 'X' )\r\n    if ( @user4 = ProdMgr ) or ( @user4 = 'PAUL_W' ) or ( @user4 = 'PETER_Z' ) then\r\n        * IT IS THE MFG MGR - ON READ NEED TO CHECK TO SEE IF \r\n        * THE RECORD IS CHECKED FOR MANUF_CHECK OTHERWISE DISALLOW\r\n       .MANUF_CHECK->VISIBLE = 0\r\n    end else\r\n\t\tMessage = 'You do not have the proper security to enter ListBox entries...' \r\n\t\tMessage<micon$> = 'H'\r\n\t\tVoid = msg( '', Message )\r\n\t\tVoid = send_event( @window, 'CLOSE' )\r\n\tend\r\nend\r\n\r\nRETURN 1"
        }
    }
}